package com.th.demo.model.ware;

import com.th.demo.model.system.SysUser;

import java.util.Date;

public class ChangeRecord {
    private String id;

    private String wareName;

    private String stackName;

    private Integer layer;

    private String materialName;

    private String materialNo;

    private String standard;

    private String model;

    private String customerNameOld;

    private String customerNameNew;

    private String customerNo;

    private Double count;

    private Double weight;

    private String remark;

    private SysUser addUser;

    private Date addTime;

    private String modifyId;

    private Date modifyTime;

    private String cancelId;

    private Date cancelTime;

    private String cancelFlag;

    private String belongId;

    private String plateNo;

    private String inId;

    private String outId;

    private String receiveAddressOld;

    private String receiveAddressNew;

    private String  recordType;

    private String wgtDcnMtcCd;

    private String edgeTy;

    private String productionPlace;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getWareName() {
        return wareName;
    }

    public void setWareName(String wareName) {
        this.wareName = wareName == null ? null : wareName.trim();
    }

    public String getStackName() {
        return stackName;
    }

    public void setStackName(String stackName) {
        this.stackName = stackName == null ? null : stackName.trim();
    }

    public Integer getLayer() {
        return layer;
    }

    public void setLayer(Integer layer) {
        this.layer = layer;
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName == null ? null : materialName.trim();
    }

    public String getMaterialNo() {
        return materialNo;
    }

    public void setMaterialNo(String materialNo) {
        this.materialNo = materialNo == null ? null : materialNo.trim();
    }

    public String getStandard() {
        return standard;
    }

    public void setStandard(String standard) {
        this.standard = standard == null ? null : standard.trim();
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model == null ? null : model.trim();
    }

    public String getCustomerNameOld() {
        return customerNameOld;
    }

    public void setCustomerNameOld(String customerNameOld) {
        this.customerNameOld = customerNameOld == null ? null : customerNameOld.trim();
    }

    public String getCustomerNameNew() {
        return customerNameNew;
    }

    public void setCustomerNameNew(String customerNameNew) {
        this.customerNameNew = customerNameNew == null ? null : customerNameNew.trim();
    }

    public String getCustomerNo() {
        return customerNo;
    }

    public void setCustomerNo(String customerNo) {
        this.customerNo = customerNo == null ? null : customerNo.trim();
    }

    public Double getCount() {
        return count;
    }

    public void setCount(Double count) {
        this.count = count;
    }

    public Double getWeight() {
        return weight;
    }

    public void setWeight(Double weight) {
        this.weight = weight;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    public SysUser getAddUser() {
        return addUser;
    }

    public void setAddUser(SysUser addUser) {
        this.addUser = addUser;
    }

    public Date getAddTime() {
        return addTime;
    }

    public void setAddTime(Date addTime) {
        this.addTime = addTime;
    }

    public String getModifyId() {
        return modifyId;
    }

    public void setModifyId(String modifyId) {
        this.modifyId = modifyId == null ? null : modifyId.trim();
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public String getCancelId() {
        return cancelId;
    }

    public void setCancelId(String cancelId) {
        this.cancelId = cancelId == null ? null : cancelId.trim();
    }

    public Date getCancelTime() {
        return cancelTime;
    }

    public void setCancelTime(Date cancelTime) {
        this.cancelTime = cancelTime;
    }

    public String getCancelFlag() {
        return cancelFlag;
    }

    public void setCancelFlag(String cancelFlag) {
        this.cancelFlag = cancelFlag == null ? null : cancelFlag.trim();
    }

    public String getBelongId() {
        return belongId;
    }

    public void setBelongId(String belongId) {
        this.belongId = belongId == null ? null : belongId.trim();
    }

    public String getPlateNo() {
        return plateNo;
    }

    public void setPlateNo(String plateNo) {
        this.plateNo = plateNo == null ? null : plateNo.trim();
    }

    public String getInId() {
        return inId;
    }

    public void setInId(String inId) {
        this.inId = inId == null ? null : inId.trim();
    }

    public String getOutId() {
        return outId;
    }

    public void setOutId(String outId) {
        this.outId = outId == null ? null : outId.trim();
    }

    public String getReceiveAddressOld() {
        return receiveAddressOld;
    }

    public void setReceiveAddressOld(String receiveAddressOld) {
        this.receiveAddressOld = receiveAddressOld == null ? null : receiveAddressOld.trim();
    }

    public String getReceiveAddressNew() {
        return receiveAddressNew;
    }

    public void setReceiveAddressNew(String receiveAddressNew) {
        this.receiveAddressNew = receiveAddressNew == null ? null : receiveAddressNew.trim();
    }

    public String getRecordType() {
        return recordType;
    }

    public void setRecordType(String recordType) {
        this.recordType = recordType;
    }

    public String getWgtDcnMtcCd() {
        return wgtDcnMtcCd;
    }

    public void setWgtDcnMtcCd(String wgtDcnMtcCd) {
        this.wgtDcnMtcCd = wgtDcnMtcCd;
    }

    public String getEdgeTy() {
        return edgeTy;
    }

    public void setEdgeTy(String edgeTy) {
        this.edgeTy = edgeTy;
    }

    public String getProductionPlace() {
        return productionPlace;
    }

    public void setProductionPlace(String productionPlace) {
        this.productionPlace = productionPlace;
    }
}